## org.apache.batik.svggen.font.table
Class Coverage

    java.lang.Object
      org.apache.batik.svggen.font.table.Coverage

Direct Known Subclasses:
  CoverageFormat1, CoverageFormat2

public abstract class Coverage
extends java.lang.Object

Constructor Summary
`Coverage()`

Method Summary
`abstract int` `findGlyph(int glyphId)`
`abstract int` `getFormat()`
`protected static Coverage` `read(java.io.RandomAccessFile raf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Coverage

    public Coverage()

Method Detail

### getFormat

    public abstract int getFormat()

### findGlyph

    public abstract int findGlyph(int glyphId)

  Parameters:
    `glyphId` - The ID of the glyph to find.

### read

    protected static Coverage read(java.io.RandomAccessFile raf)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.